// blur.fs
//
// Blur the screen

uniform sampler2D sampler0;

#define dp 1.0/512.0

void main(void)
{
	vec2 offsets[9];
	vec4 samples[9];
	
	
	offsets[0] = vec2(dp, dp);
	offsets[1] = vec2(dp,0);
	offsets[2] = vec2(dp,-dp);	
	
	offsets[3] = vec2(0, dp);
	offsets[4] = vec2(0,0);
	offsets[5] = vec2(0,-dp);	

	offsets[6] = vec2(-dp, dp);
	offsets[7] = vec2(-dp,0);
	offsets[8] = vec2(-dp,-dp);	
	
	
	for(int i = 0; i < 9; i++)
    {
        samples[i] = texture2D(sampler0, gl_TexCoord[0].st + offsets[i]);
    }
    

    gl_FragColor = (samples[0] + (2.0*samples[1]) + samples[2] + (2.0*samples[3]) + samples[4] + (2.0*samples[5]) + samples[6] + (2.0*samples[7]) + samples[8]) / 13.0;
    
}
